//---------------------------------------------------------------------------

#ifndef PacmdH
#define PacmdH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "IdBaseComponent.hpp"
#include "IdComponent.hpp"
#include "IdHTTP.hpp"
#include "IdTCPClient.hpp"
#include "IdTCPConnection.hpp"
#include <math.hpp>
#include <sysutils.hpp>

//---------------------------------------------------------------------------
const int HTTP_STATUS_OK_END = 299;
const AnsiString StrSpeakNow = "speaknow=";
const AnsiString PA_PROTOCOL = "http://";
const AnsiString StrPhone = "phone=";
const AnsiString StrDelay = "delay=";
const AnsiString StrConfightm = "config.htm";

class TPAdevice : public TDataModule
{
__published:	// IDE-managed Components
	TIdHTTP *IdHTTP1;
private:	// User declarations
	bool do_pa_cmd(AnsiString IP, AnsiString cmd, const AnsiString resource, const AnsiString referer = NULL);
	AnsiString m_last_error;

public:		// User declarations
	__fastcall TPAdevice(TComponent* Owner);
	bool speak(AnsiString Ip, AnsiString text);
	bool ChangePhoneSettings(AnsiString IP, AnsiString phoneNum, int delay);
	AnsiString get_last_error() {return m_last_error;};
	void set_last_error(const AnsiString last_error) {m_last_error = last_error;};
};
//---------------------------------------------------------------------------
extern PACKAGE TPAdevice *PAdevice;
//---------------------------------------------------------------------------
#endif
