unit mainU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, JvExControls, JvComponent, JvComCtrls, JvComponentBase,
  JvUrlListGrabber, JvUrlGrabbers, PAcmdU, Spin, XPMan, ExtCtrls;

type
  TFrmMain = class(TForm)
    Label1: TLabel;
    IpAddr: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Delay: TSpinEdit;
    PhoneNumber: TEdit;
    Bevel1: TBevel;
    UpdateSettings: TButton;
    SendButton: TButton;
    Bevel2: TBevel;
    text: TEdit;
    Label2: TLabel;
    CloseBtn: TButton;
    procedure SendButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure UpdateSettingsClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
  private
    { Private declarations }
    Fdevice: TPaCmdDevice;
  public
    { Public declarations }
  end;

var
  FrmMain: TFrmMain;

implementation

{$R *.dfm}

procedure TFrmMain.UpdateSettingsClick(Sender: TObject);
begin
  if Fdevice.SetPhone(IpAddr.text, phoneNumber.text, delay.value) then
    messagedlg('Command sent', mtinformation, [mbok], 0)
  else messageDlg('Command failed: ' + Fdevice.Last_error, mterror, [mbok], 0);
end;

procedure TFrmMain.CloseBtnClick(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TFrmMain.FormCreate(Sender: TObject);
begin
  Fdevice := TPaCmdDevice.Create(nil);
end;

procedure TFrmMain.FormDestroy(Sender: TObject);
begin
  FreeAndNil(Fdevice);
end;

procedure TFrmMain.SendButtonClick(Sender: TObject);
begin
  if Fdevice.Speak(IpAddr.text, Text.Text) then
    messagedlg('Command sent', mtinformation, [mbok], 0)
  else messageDlg('Command failed: ' + Fdevice.Last_error, mterror, [mbok], 0);
end;

end.  {unit}
