//---------------------------------------------------------------------------

#include <vcl.h>

#pragma hdrstop

#include "Pacmd.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TPAdevice::TPAdevice(TComponent* Owner)
	: TDataModule(Owner)
{
}
//---------------------------------------------------------------------------

#define PA_PROTOCOL "HTTP://"

bool TPAdevice::do_pa_cmd(AnsiString IP, AnsiString cmd, const AnsiString resource, const AnsiString referer)
{
  TStringList *data;
  AnsiString rsp;
  bool result;

  data = new TStringList();
  try {
	if (Pos(PA_PROTOCOL, IP) != 1) {
	  IP = PA_PROTOCOL + IP;
	}

	IdHTTP1->Request->Host = IP;
	IdHTTP1->Request->Referer = IP + '/' + resource;

	data->Text = cmd;
	IdHTTP1->AllowCookies = true;

	rsp = (IdHTTP1->Post(IP, data));

	result = (rsp != "") && (InRange(IdHTTP1->ResponseCode, HTTP_STATUS_OK, HTTP_STATUS_OK_END));
	m_last_error = rsp;
	}
  catch(...)
  {
	delete data;
	data = NULL;

	throw;
  }
  delete data;
  data = NULL;
  return result;
}

bool TPAdevice::speak(const AnsiString Ip, const AnsiString text)
{
  return do_pa_cmd(Ip,  StrSpeakNow + text, NULL);
}


bool TPAdevice::ChangePhoneSettings(AnsiString IP, AnsiString phoneNum, int delay)
{
  return do_pa_cmd(IP, StrPhone + phoneNum + '&'+StrDelay+IntToStr(delay), StrConfightm);
}
